Package org.apache.commons.beanutils2.locale.converters

# Class DateLocaleConverter.Builder<B extends DateLocaleConverter.Builder<B,D>,D extends Date>

java.lang.Object
org.apache.commons.beanutils2.locale.BaseLocaleConverter.Builder<B,D>
org.apache.commons.beanutils2.locale.converters.DateLocaleConverter.Builder<B,D>

Type Parameters:
  `B` - The builder type.
  `D` - The Date type.

Direct Known Subclasses:
  `SqlDateLocaleConverter.Builder`, `SqlTimeLocaleConverter.Builder`, `SqlTimestampLocaleConverter.Builder`

Enclosing class:
  `DateLocaleConverter<D extends Date>`

public static class DateLocaleConverter.Builder<B extends DateLocaleConverter.Builder<B,D>,D extends Date> extends BaseLocaleConverter.Builder<B,D>
Builds instances of `DateLocaleConverter`.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.beanutils2.locale.BaseLocaleConverter.Builder

  `defaultValue, locale, localizedPattern, pattern, useDefault`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DateLocaleConverter<D>`
  `get()`
  Gets a new instance.
  `boolean`
  `isLenient()`
  Tests whether date formatting is lenient.
  `B`
  `setLenient(boolean lenient)`
  Sets the leniency policy.

  ### Methods inherited from class org.apache.commons.beanutils2.locale.BaseLocaleConverter.Builder

  `asThis, setDefault, setLocale, setLocalizedPattern, setPattern, setUseDefault`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public DateLocaleConverter<D> get()
    Gets a new instance.

    Defaults construct a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the conversion.

    Specified by:
      `get` in class `BaseLocaleConverter.Builder<B extends DateLocaleConverter.Builder<B,D>,D extends Date>`
    Returns:
      a new instance.

  - ### isLenient

    public boolean isLenient()
    Tests whether date formatting is lenient.
    Returns:
      true if the `DateFormat` used for formatting is lenient
    See Also:
      - `DateFormat.isLenient()`

  - ### setLenient

    public B setLenient(boolean lenient)
    Sets the leniency policy.
    Parameters:
      `lenient` - the leniency policy.
    Returns:
      `this` instance.